Bug 1873049 - Require tested ansible-2.9.13 for ovirt-hosted-engine-setup in RHV Manager 4.4.2
Summary: Require tested ansible-2.9.13 for ovirt-hosted-engine-setup in RHV Manager 4.4.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup
Version: 4.4.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.4.2
: ---
Assignee: Asaf Rachmani
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On: 1873041
Blocks: 1873055
TreeView+ depends on / blocked
 
Reported: 2020-08-27 09:15 UTC by Michal Skrivanek
Modified: 2020-10-15 05:21 UTC (History)
8 users (show)

Fixed In Version: ovirt-hosted-engine-setup-2.4.6-2.el8ev
Doc Type: No Doc Update
Doc Text:
Clone Of: 1873041
: 1873055 (view as bug list)
Environment:
Last Closed: 2020-10-05 13:09:40 UTC
oVirt Team: Integration
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1815439 high CLOSED [Docs] Switch from Ansible-2 channel to Ansible 2.9 channel in RHVM documentation 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHSA-2020:4172 None None None 2020-10-05 13:10:23 UTC

Description Michal Skrivanek 2020-08-27 09:15:46 UTC
clone for the host side

+++ This bug was initially created as a clone of Bug #1873041 +++

We have issues with async ansible updates breaking existing installed setups. We receive those by using a ansible-2.9-for-rhel-8-x86_64-rpms CDN on engine and hostst.

Easiest solution is to require a concrete version which was validated to work in ovirt-engine and ovirt-hosted-engine-setup. These two packages should be in sync.

It is acceptable that this won't work if anyone installs a later ansible version before deploying engine/host. We do not expect that to happen.

Comment 4 Petr Matyáš 2020-09-08 08:51:02 UTC
Verified on ovirt-hosted-engine-setup-2.4.6-2.el8ev.noarch

Comment 6 errata-xmlrpc 2020-10-05 13:09:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Virtualization security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4172


Note You need to log in before you can comment on or make changes to this bug.